import img.Picture;
import img.Pixel;

import java.awt.Color;
import java.io.File;
import java.io.InputStream;
import java.io.PrintStream;
import java.util.Date;
import java.util.Scanner;

import javax.swing.JFileChooser;

public class L9App2 {
	public static void main(String[] args) {
		PrintStream output = System.out;

		/*
		 * the pathname of the file I wanted on my own laptop is:
		 * "/Users/mb/000_images_1710/treefrog.jpg"
		 * 
		 * I created a string to represent this pathname (and include it here),
		 * but we will use the JFileChooser instead so this app will work more
		 * generally
		 */

		String myPathName = File.separator + "Users" + File.separator + "mb"
				+ File.separator + "000_images_1710" + File.separator
				+ "treefrog.jpg";

		JFileChooser chooser = new JFileChooser();
		int returnVal = chooser.showOpenDialog(null);
		if (returnVal != JFileChooser.APPROVE_OPTION) {
			output.println("No file selected.  Terminating.");
			System.exit(0);

		}

		File theFile = chooser.getSelectedFile();
		// Picture myPict = new Picture(myPathName);
		Picture myPict = new Picture(theFile.getPath());

		System.out.println(myPict.getWidth());
		System.out.println(myPict.getHeight());

		myPict.show();

		// how do we access pixels?? here are two ways
		Pixel thePixel = myPict.getPixel(10, 10);
		Pixel thePixel2 = new Pixel(myPict, 10, 10);

		// these two references are referring to the exact same pixel object
		output.println(thePixel);
		output.println(thePixel2);

		// once we have a reference, we can modify it
		// show that thePixel and thePixel2 are referring to the same pixel

		// you will likely need a screen magnifier to even see the single pixel
		// in the upper left-hand corner, but you will see that it is red, not
		// black
		thePixel.setColor(Color.BLACK);
		thePixel2.setColor(Color.RED);

	}
}
