import img.Picture;
import img.Pixel;

import java.awt.Color;
import java.io.File;
import java.io.InputStream;
import java.io.PrintStream;
import java.util.Date;
import java.util.Scanner;

import javax.swing.JFileChooser;

public class L9App3 {
	public static void main(String[] args) {
		PrintStream output = System.out;

		/*
		 * the pathname of the file I wanted on my own laptop is:
		 * "/Users/mb/000_images_1710/treefrog.jpg"
		 * 
		 * I created a string to represent this pathname (and include it here),
		 * but we will use the JFileChooser instead so this app will work more
		 * generally
		 */

		String myPathName = File.separator + "Users" + File.separator + "mb"
				+ File.separator + "000_images_1710" + File.separator
				+ "treefrog.jpg";

		JFileChooser chooser = new JFileChooser();
		int returnVal = chooser.showOpenDialog(null);
		if (returnVal != JFileChooser.APPROVE_OPTION) {
			output.println("No file selected.  Terminating.");
			System.exit(0);

		}

		File theFile = chooser.getSelectedFile();
		// Picture myPict = new Picture(myPathName);
		Picture myPict = new Picture(theFile.getPath());

		System.out.println(myPict.getWidth());
		System.out.println(myPict.getHeight());

		myPict.show();

		// now we change all of the pixels in a horizontal line at the middle of
		// the image
		//
		// we need to iterate over all of the pixels in a row

		final int ROW_INDEX = myPict.getHeight() / 2;
		for (int colIndex = 0; colIndex < myPict.getWidth(); colIndex++) {
			Pixel thePixel = myPict.getPixel(colIndex, ROW_INDEX);
			output.println(thePixel);
			thePixel.setColor(Color.RED);
		}

		myPict.repaint(); // here we mark our picture as being in need of
		// being
		// repainted; the window manager takes care of
		// repainting windows that need it

		// if you want to see the red line being drawn in progress, add the
		// following block at the end of the for loop. It will insert a 200ms
		// pause during each iteration. But you will need to invoke repaint() on
		// the picture once each iteration
//		try {
//			Thread.sleep(200);
//		} catch (InterruptedException e) {
//			e.printStackTrace();
//		}


		// this convenience method will do (almost) the same thing as the code
		// block above (except you are limited to the colour black instead of
		// being able to say which colour you want)
		// uncomment it to see what it does
		// myPict.blacken(ROW_INDEX + 25);

	}
}
