import img.Picture;
import img.Pixel;

import java.awt.Color;
import java.io.File;
import java.io.InputStream;
import java.io.PrintStream;
import java.util.Date;
import java.util.Scanner;

import javax.swing.JFileChooser;

public class L9App5 {
	public static void main(String[] args) {
		PrintStream output = System.out;

		JFileChooser chooser = new JFileChooser();
		int returnVal = chooser.showOpenDialog(null);
		if (returnVal != JFileChooser.APPROVE_OPTION) {
			output.println("No file selected.  Terminating.");
			System.exit(0);
		}
		File theFile = chooser.getSelectedFile();
		Picture myPict = new Picture(theFile.getPath());

		myPict.show();

		// here we implement colour reversal

		final int MAX_VALUE = 255;
		final int ALPHA_VALUE_FOR_OPAQUE = 1;

		// now we change all of the pixels in the image
		Pixel[] allPixels = myPict.getPixels();
		for (Pixel p : allPixels) {
			int newRedVal = MAX_VALUE - p.getRed();
			int newGreenVal = MAX_VALUE - p.getGreen();
			int newBlueVal = MAX_VALUE - p.getBlue();
			Color negativeCol = new Color(newRedVal, newGreenVal, newBlueVal);
			p.setColor(negativeCol);
			p.updatePicture(ALPHA_VALUE_FOR_OPAQUE, newRedVal, newGreenVal,
					newBlueVal);
		}
		myPict.repaint();

	}
}
